%define sourcedir stable/%{version}/distribution/tar/generic/source
%define pkg kdeutils
%define VER 2.1.1
%define DATE 20010212
%define is_release 1
%define is_preview 0

%if %{is_preview}
Name: %{pkg}2
Prefix: /usr/lib/kde2
Requires: kdesupport2 zip unzip kdebase2 >= 1.94
BuildPrereq: kdebase2 >= 1.94
%else
Name: %{pkg}
Prefix: /usr
Requires: kdesupport zip unzip kdebase >= 1.94
BuildPrereq: kdebase >= 1.94
%endif
%if %{is_release}
Version: %{VER}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{pkg}-%{version}.tar.bz2
%else
Version: %{VER}.%{DATE}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{pkg}-%{DATE}.tar.bz2
%endif
Source1: klpqrc
Source2: Printer
Patch: kdeutils-2.1-redhat.patch
Summary: K Desktop Environment - Utilities
Release: 2
Epoch: 6
Group: Applications/System
BuildRoot: %{_tmppath}/%{pkg}-buildroot
Copyright: GPL
ExcludeArch: sparc
Requires: kdelibs >= 2.1-8 kdebase >= 2.1-10

%description
Utilities for the K Desktop Environment.
Includes: ark (tar/gzip archive  manager); kab (address book); karm (personal
time tracker); kcalc (scientific calculator); kedit (simple text editor);
kfloppy (floppy formatting tool); khexedit (hex editor); kjots (note taker);
klipper (clipboard tool); kljettool(HP printer configuration tool); klpq
(print queue manager) knotes (post-it notes for the desktop); kpm
(process manager similar to 'top', but more advanced);kwrite (improved
text editor).

%prep
rm -rf $RPM_BUILD_ROOT

%if %{is_release}
%setup -q
%else
#%setup -q -n %{pkg}
%endif
%patch -p1 -b .redhat
make -f Makefile.cvs

%build
export KDEDIR=%{prefix}
unset QTDIR || : ; . /etc/profile.d/qt.sh
if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

%ifnarch alpha
CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG -fno-check-new" CFLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG" \
%endif
./configure --prefix=%{prefix} --includedir=%{prefix}/include/kde #--enable-final
make -C kfloppy # The Makefiles in kfloppy are broken; they can't handle
		# SMPified builds. FIXME
make -j $CPUS

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/config $RPM_BUILD_ROOT/etc/skel/Desktop
install -c -m644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/config
install -c -m644 %{SOURCE2} $RPM_BUILD_ROOT/etc/skel/Desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{prefix}/bin/*
%{prefix}/lib/*
%{prefix}/share/applnk/Editors/*
%{prefix}/share/applnk/*.desktop
%{prefix}/share/applnk/Settings/Information/*
%{prefix}/share/applnk/Settings/PowerControl/*
%{prefix}/share/applnk/System/*
%{prefix}/share/applnk/Utilities/*
%{prefix}/share/apps/ark
%{prefix}/share/apps/kab
%{prefix}/share/apps/karm
%{prefix}/share/apps/kcalc
%{prefix}/share/apps/kdf
%{prefix}/share/apps/kedit
%{prefix}/share/apps/kfind
%{prefix}/share/apps/kfloppy
%{prefix}/share/apps/khexedit
%{prefix}/share/apps/kicker/applets/*
%{prefix}/share/apps/kjots
%{prefix}/share/apps/klaptopdaemon
%{prefix}/share/apps/kljettool
%{prefix}/share/apps/knotes
%{prefix}/share/icons/*/*/*/*
%config %{prefix}/share/config/*
%config /etc/skel/Desktop/Printer
%doc %{_docdir}/HTML
%{prefix}/include/kde/*

%changelog
* Fri Apr 27 2001 Bill Nottingham <notting@redhat.com>
- rebuild for C++ exception handling on ia64

* Tue Mar 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-1
- 2.1.1

* Tue Mar 13 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-5
- Add Printer desktop icon (used to be in kdebase, but needs kdeutils, so
  it should be here)

* Thu Mar  8 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Revert /usr/share/config -> /etc/kde change

* Wed Feb 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't own standard directories
- /usr/share/config -> /etc/kde

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1-respin

* Tue Feb 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Mon Feb 12 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up detection of PCMCIA sockets

* Tue Feb  6 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Get rid of the libkdefakes.so.0 dependency

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Wed Dec 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to CVS
- Don't exclude ia64 anymore

* Mon Oct 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Wed Oct  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Thu Aug 24 2000 Than Ngo <than@redhat.com>
- update to kdeutils-1.93

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new version

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- turn off SMP build for kfloppy (broken Makefiles)

* Tue Jul 18 2000 Than Ngo <than@redhat.de>
- rebuilt against gcc-2.96-40 and glibc-2.1.92-14
- don't use make -j, it is broken

* Sun Jul 16 2000 Than Ngo <than@redhat.de>
- use gcc 2.96
- new snapshot

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update Epoch

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch: ia64

* Thu Apr  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Require and BuildPrereq kdebase - kfind uses libkonq.
- new snapshot

* Mon Mar 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 snapshot

* Tue Feb 29 2000 Preston Brown <pbrown@redhat.com>
- we don't support lp or lprng in 6.x, use lpr as spooler in klpq.
- specific requires for zip and unzip for ark.

* Sat Jan  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- KDE_1_1_BRANCH
- rebuild for 6.2

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- mark docs files as such.

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- kde 1.1.2 release.

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- today's snapshot provides kpm and kwrite fixes.

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Mon Jan 18 1999 Preston Brown <pbrown@redhat.com>
- updated macros to be RPM 3.0 compliant, removed redhat dependency.

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged in changes from Duncan Haldane







